<?xml version="1.0" standalone="no"?>

<!-- $Id: stable.xml 23 2003-12-14 16:29:21Z lowende $ -->

<!DOCTYPE UserInterface SYSTEM "http://www.upb.de/cs/fujaba/DTDs/UserInterface.dtd">

<UserInterface>

   <!-- **************************** List Actions here ********************** -->

   <!-- Actions for menu "File" -->

   <Action id="SVGGen.generateSVG" class="de.uni_paderborn.svggen.actions.GenerateSVGAction" enabled="true">
      <Name>Generate SVG</Name>
      <Mnemonic>S</Mnemonic>
      <ToolTip>Export current diagram in Scalable Vector Graphics Format</ToolTip>
      <Icon>de/uni_paderborn/svggen/images/batik.gif</Icon>
   </Action>

   <Action id="SVGGen.generateJPG" class="de.uni_paderborn.svggen.actions.GenerateJPEGAction" enabled="true">
      <Name>Generate JPEG</Name>
      <Mnemonic>J</Mnemonic>
      <ToolTip>Export current diagram in JPEG Format</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
   </Action>

   <Action id="SVGGen.generatePDF" class="de.uni_paderborn.svggen.actions.GeneratePDFAction" enabled="true">
      <Name>Generate PDF</Name>
      <Mnemonic>P</Mnemonic>
      <ToolTip>Export current diagram in PDF Format</ToolTip>
      <Icon>de/uni_paderborn/svggen/images/pdf.gif</Icon>
   </Action>

   <Action id="SVGGen.generateTIFF" class="de.uni_paderborn.svggen.actions.GenerateTIFFAction" enabled="true">
      <Name>Generate TIFF</Name>
      <Mnemonic>T</Mnemonic>
      <ToolTip>Export current diagram in TIFF Format</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
   </Action>

   <Action id="SVGGen.generatePNG" class="de.uni_paderborn.svggen.actions.GeneratePNGAction" enabled="true">
      <Name>Generate PNG</Name>
      <Mnemonic>N</Mnemonic>
      <ToolTip>Export current diagram in PNG Format</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
   </Action>

   <Action id="SVGGen.print" class="de.uni_paderborn.svggen.actions.BatikPrintAction" enabled="true">
      <Name>Print</Name>
      <Shortcut>ctrl P</Shortcut>
      <Mnemonic>R</Mnemonic>
      <ToolTip>Print current diagram via SVG Format</ToolTip>
      <Icon>de/uni_paderborn/fujaba/app/images/print.gif</Icon>
   </Action>

   <Action id="SVGGen.memoryMonitor" class="de.uni_paderborn.svggen.actions.MemoryMonitorAction" enabled="true">
      <Name>Memory Monitor</Name>
      <Mnemonic>M</Mnemonic>
      <ToolTip>Show Memory Monitor</ToolTip>
      <Icon>de/uni_paderborn/svggen/images/monitor.gif</Icon>
   </Action>

   <!-- **************************** Define Menubar here ********************** -->

   <MenuBar id="mainMenuBar">
     <MenuSection id="fileMenuSection">
       <Menu id="fileMenu">
         <MenuSection id="printActionsSection">

           <MenuItem actionId="SVGGen.print"/>

           <Menu id="SVGGen.menu">
             <Name>Export Graphics</Name>
             <Mnemonic>G</Mnemonic>
             <Icon>de/uni_paderborn/svggen/images/batik.gif</Icon>

             <MenuSection id="SVGGen.menusection">
               <MenuItem actionId="SVGGen.generateSVG"/>
               <MenuItem actionId="SVGGen.generatePDF"/>
               <MenuItem actionId="SVGGen.generateJPG"/>
               <MenuItem actionId="SVGGen.generatePNG"/>
               <MenuItem actionId="SVGGen.generateTIFF"/>
             </MenuSection>
           </Menu>
         </MenuSection>

       </Menu>
     </MenuSection>
     
     <MenuSection id="toolsMenuSection">
       <Menu id="toolsMenu">
         <MenuSection id="pluginsSection">
           <Menu id="SVG.menu">
             <Name>Memory Usage</Name>
             <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>

             <MenuSection id="memorySection">
                <MenuItem actionId="SVGGen.memoryMonitor"/>
             </MenuSection>

           </Menu>
         </MenuSection>
       </Menu>
     </MenuSection>
   </MenuBar>

  <!-- **************************** List ToolBars here ********************** -->

  <ToolBar id="mainToolBar">

    <ToolBarSection id="printSection">
      <Button actionId="SVGGen.print"/>
    </ToolBarSection>

  </ToolBar>

</UserInterface>

<!--
$Log$
Revision 1.5  2003/12/14 16:29:21  lowende
MenuItems renamed

Revision 1.4  2003/10/27 08:46:15  lowende
Shortcut keys repaired.

Revision 1.3  2003/07/06 21:30:28  lowende
Some menu items/buttons changed

Revision 1.2  2002/11/28 17:04:27  lowende
plugin.xml corrected. Menu configuration changed.

Revision 1.1  2002/10/18 20:03:18  geiger
repaired SVGGen plugin;export of SVG,PDF,JPG,PNG,TIFF and prining works now

Revision 1.3  2002/03/20 16:50:51  wag25
Adopted XML menu definition.

Revision 1.2  2002/03/20 14:50:58  wag25
Adopted XML menu definition.

Revision 1.1  2002/02/27 15:07:48  felix
realized as fujaba plugin

-->


